Module jdk.javadoc
Package com.sun.javadoc

## Enum LanguageVersion

- java.lang.Object
- - java.lang.Enum<LanguageVersion>
  - - com.sun.javadoc.LanguageVersion

All Implemented Interfaces:
  Serializable, Comparable<LanguageVersion>

    public enum LanguageVersion
    extends Enum<LanguageVersion>

Java Programming Language version. The constants of this enum identify the JDK and J2SE releases containing language changes relevant to doclets.

All doclets support at least the 1.1 language version. The first release subsequent to this with language changes affecting doclets is 1.5.

Since:
  1.5

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`JAVA_1_1` 1.1 added nested classes and interfaces.
`JAVA_1_5` 1.5 added generic types, annotations, enums, and varArgs.

### Method Summary

All Methods Static Methods Concrete Methods
`static LanguageVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LanguageVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JAVA_1_1

    public static final LanguageVersion JAVA_1_1

1.1 added nested classes and interfaces.

#### JAVA_1_5

    public static final LanguageVersion JAVA_1_5

1.5 added generic types, annotations, enums, and varArgs.

### Method Detail

#### values

    public static LanguageVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LanguageVersion c : LanguageVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LanguageVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null